
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Mongoose如何实现统计查询、关联查询 / 憋错料</title>

    <meta name="description" content="Mongoose如何实现统计查询、关联查询 [问题]Mongoose如何实现统计查询.关联查询 发布于 4 年前  作者 a272121742  13025 次浏览 最近业务上提出一个需求,要求能做统计,我们设计的文档集,统计可能跨越的文档会比较多,想问一下,mongoose能实现统计查询和关联查询吗? 例如student文档对象有subject文档对象,subject文档对象有score属,查询所有学员的成绩.我个人的思路就是一般的解决方案,先查询所有学员,再查询所有分数,然后遍历做累加统计 StudentDao.find().sele">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Mongoose如何实现统计查询、关联查询</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>[问题]Mongoose如何实现统计查询、关联查询</p>
<p>发布于 4 年前&nbsp;&nbsp;作者&nbsp;<a href="https://cnodejs.org/user/a272121742" rel="external nofollow noreferrer">a272121742</a>&nbsp;&nbsp;13025 次浏览</p>
<p>最近业务上提出一个需求，要求能做统计，我们设计的文档集，统计可能跨越的文档会比较多，想问一下，mongoose能实现统计查询和关联查询吗？ 例如student文档对象有subject文档对象，subject文档对象有score属，查询所有学员的成绩。我个人的思路就是一般的解决方案，先查询所有学员，再查询所有分数，然后遍历做累加统计</p>
<pre><code>StudentDao.find().select(‘_id‘).exec(function(err,stus){
    SubjectDao.find().where(‘student_id‘).in(stus).exec(function(err,subs){
        var sum = 0;
        for(var i = 0; i &lt; subs.length; i++){
            sum += subs[i].score;
        }
        console.log(sum);
    });
});</code></pre>
<p>心想只要提供了关联查询和统计查询，这样的代码会变得简化，不知道熟悉mongoose或者做过mongodb开发各位有没有遇见过，真心求解，谢谢！</p>
<p>6 回复</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2F2YXRhcnMuZ2l0aHVidXNlcmNvbnRlbnQuY29tL3UvMjg5MjI1P3Y9MyZhbXA7cz0xMjA=.jpg" /></p>
<p><a href="https://cnodejs.org/user/xiaojue" rel="external nofollow noreferrer">xiaojue</a>&nbsp;<a href="https://cnodejs.org/topic/508834ee65e98a980983b3d2#508beaff65e98a9809ca0639" rel="external nofollow noreferrer">1楼&bull;4 年前</a></p>

<p>我遇到过。。统计查询的。后来解决办法是，扫库之后重新加了个总数的字段，每次更新都对字段进行+=操作。需要总数就取总数了。。速度还最快。。</p>
<p>小应用用mapreduce吧。不过效率挺低的了。还是做增量好些。。无论啥数据库- -。</p>

<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2dyYXZhdGFyLmNvbS9hdmF0YXIvMzliMmZlNDRiOWQwYTA4NmE2NGY3NjMxNWE3Y2YyNWM/c2l6ZT00OA==.jpg" /></p>
<p><a href="https://cnodejs.org/user/ym1623" rel="external nofollow noreferrer">ym1623</a>&nbsp;<a href="https://cnodejs.org/topic/508834ee65e98a980983b3d2#512ed246df9e9fcc586d5af2" rel="external nofollow noreferrer">2楼&bull;3 年前</a></p>

<p>######mongoose api手册的统计的方法：</p>
<pre><code>Kitten.where(‘color‘, ‘black‘).count(function (err, count) {
  if (err) return handleError(err);
  console.log(‘there are %d black kittens‘, count);
})</code></pre>
<p>地址：<a href="http://mongoosejs.com/docs/api.html#query_Query-count" rel="external nofollow noreferrer">http://mongoosejs.com/docs/api.html#query_Query-count</a> mongodb作是文件型数据库，作关联并没有什么优势.我列出其中一些方法你可以参考一下：</p>
<blockquote><p>##一：通过mongodb的mapreduce进行查询 优点是没有数据冗余或数据不一致问题，并且不需多次查询。缺点是mongodb的mapreduce基于javascript引擎（目前是spider monkey），单线程运行，所以效率略差，不适合实时查询 ##二：通过良好的设计数据模型来做到</p></blockquote>
<pre><code>var postSchema = new Schema({
  author : {type : String},
  title : {type : String, require : true},
  content : {type : String, require : true},
  comment : {
    owner : {type : String},
    subject : {type: String, require},
    content : {type String, require}
  }
});
myPostModel.find({ ‘comment.subject‘ : /car*/ }).exec(function(err, result){
    Do some stuff with the result...
});</code></pre>

<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2dyYXZhdGFyLmNvbS9hdmF0YXIvMzliMmZlNDRiOWQwYTA4NmE2NGY3NjMxNWE3Y2YyNWM/c2l6ZT00OA==.jpg" /></p>
<p><a href="https://cnodejs.org/user/ym1623" rel="external nofollow noreferrer">ym1623</a>&nbsp;<a href="https://cnodejs.org/topic/508834ee65e98a980983b3d2#512ed4d6df9e9fcc586dc3d7" rel="external nofollow noreferrer">3楼&bull;3 年前</a></p>
<p>1</p>
<p>对了，补充一下，还有用ref做关联，例如：</p>
<pre><code>var mongoose = require(‘mongoose‘)
  , Schema = mongoose.Schema

var PersonSchema = new Schema({
  name    : String,
  age     : Number,
  stories : [{ type: Schema.Types.ObjectId, ref: ‘Story‘ }]
});

var StorySchema = new Schema({
  _creator : { type: Schema.Types.ObjectId, ref: ‘Person‘ },
  title    : String,
  fans     : [{ type: Schema.Types.ObjectId, ref: ‘Person‘ }]
});

var Story  = mongoose.model(‘Story‘, StorySchema);
var Person = mongoose.model(‘Person‘, PersonSchema);
#关联查询
Story
.findOne({ title: /timex/ })
.populate(‘_creator‘)
.exec(function (err, story) {
  if (err) return handleError(err);
  console.log(‘The creator is %s‘, story._creator.name); // prints "The creator is Aaron"
})</code></pre>

<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2dyYXZhdGFyLmNvbS9hdmF0YXIvYjA4NzU5NWY3YjFhMzgwMTcxOGY3YTA0ZDI0YWRkODk/c2l6ZT00OA==.jpg" /></p>
<p><a href="https://cnodejs.org/user/a272121742" rel="external nofollow noreferrer">a272121742</a>&nbsp;<a href="https://cnodejs.org/topic/508834ee65e98a980983b3d2#512efb88df9e9fcc58734157" rel="external nofollow noreferrer">4楼&bull;3 年前</a></p>

<p>恩，populate是个好方法，尝试多次之后发现他比较严格，需要匹配完全疲惫model_name和schema_filed。中间用个忽略大小写就可以实现了</p>

<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2dyYXZhdGFyLmNvbS9hdmF0YXIvYjA4NzU5NWY3YjFhMzgwMTcxOGY3YTA0ZDI0YWRkODk/c2l6ZT00OA==.jpg" /></p>
<p><a href="https://cnodejs.org/user/a272121742" rel="external nofollow noreferrer">a272121742</a>&nbsp;<a href="https://cnodejs.org/topic/508834ee65e98a980983b3d2#512effbbdf9e9fcc5873c508" rel="external nofollow noreferrer">5楼&bull;3 年前</a></p>

<p>想问一下，三联查询怎么做？ 比如A-ref-B，B-ref-C，在查A的时候把ABC都查出来</p>
<pre><code>A:{
    B:{
        C:{
        }
    }
}</code></pre>

<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2dyYXZhdGFyLmNvbS9hdmF0YXIvMzliMmZlNDRiOWQwYTA4NmE2NGY3NjMxNWE3Y2YyNWM/c2l6ZT00OA==.jpg" /></p>
<p><a href="https://cnodejs.org/user/ym1623" rel="external nofollow noreferrer">ym1623</a>&nbsp;<a href="https://cnodejs.org/topic/508834ee65e98a980983b3d2#512f03e4df9e9fcc587463ae" rel="external nofollow noreferrer">6楼&bull;3 年前</a></p>

<p><a href="https://cnodejs.org/user/a272121742" rel="external nofollow noreferrer">@a272121742</a> 其实你看到StorySchema model就是作了两个关联，只不过是放在同一级，向你这个相互关联的话确实不适合用这种方法，只能通过第二种方法设计数据模型来做了，如果你强制先用mapreduce在用populate的话太耗性能了，你这么多关系数据，建议你mysql+mongodb同时使用，关系型数据用mysql包 <code>npm install mysql</code> require &lsquo;mysql&rsquo;，如果是要牺牲性能作为代价的话用mongodb就没有意义了</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 05:16:26 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Mongoose如何实现统计查询、关联查询的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgQzXL3.html" rel="bookmark">sql&colon;判断&plus;sql&plus;子查询&plus;关联查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				孵化园页面: public class MeimsServiceImpl implements MeimsService { private ParkinfoDomain parkinfoDomain; /**   * 动态监测主控查询   *   * @param parkName   *            孵化园名称   * @param parkType   *            孵化园类型   * @return List&lt;Parkinfo&gt;   */ @Override pu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47N1g13.html" rel="bookmark">JAVA-Unit03： SQL（基础查询） 、 SQL（关联查询）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Unit03: SQL(基础查询) . SQL(关联查询) 列别名 当SELECT子句中查询的列是一个函数 或者表达式时,那么查询出来的结果集 中对应的该字段的名字就是这个函数或者 表达式的名字.为此可以为这一列添加 别名,这样结果集中该字段就使用别名 作为该列的名字. 若希望别名区分大小写或者含有空格,那么 该别名可以使用双引号括起来. SELECT ename,sal*12 &quot;s al&quot; FROM emp AND,OR AND优先级高于OR,可以通过括号 提高优先级. SELECT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41gR8k0.html" rel="bookmark">MySQL多表关联查询与存储过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.多表关联查询 --  **************关联查询(多表查询)**************** -- 需求:查询员工及其所在部门(显示员工姓名,部门名称) -- 1.1 交叉连接查询(不推荐.产生笛卡尔乘积现象:4 * 4=16,有些是重复记录) SELECT empName,deptName FROM employee,dept; -- 需求:查询员工及其所在部门(显示员工姓名,部门名称) -- 多表查询规则:1)确定查询哪些表   2)确定查询哪些字段   3)表与表之间连接条件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35bwkE4.html" rel="bookmark">MyBatis&colon;学习笔记&lpar;3&rpar;&mdash;&mdash;关联查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MyBatis:学习笔记(3)--关联查询 关联查询 理解联结 SQL最强大的功能之一在于我们可以在数据查询的执行中可以使用联结,来将多个表中的数据作为整体进行筛选. 模拟一个简单的在线商品购物系统,如果我们将用户信息和订单信息都保存在user表中,这样就不存在联结关系,因为我们仅仅操作一张表就好. 但是这是非常不明智的选择,举例来说,一个用户可以拥有多个订单,如果保存在一个表中,势必会导致用户信息的多次出现,因为每个订单绑定的用户信息都是相同的. 所以我们尽量要将不同的信息存储与不同的表中,但			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35YAoj3.html" rel="bookmark">mysql-&lpar;四&rpar;-关联查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				建立数据表 //部门表create table dept( id int primary key, deptName varchar(20) ) //员工表 create table employee( id int primary key, empName varchar(20), deptId int , --部门名称 CONSTRAINT employee_dept_fk FOREIGN KEY(deptId) references dept(id) 外键名称 外键 参考表(参考字段) )			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KZrmrM.html" rel="bookmark">Mongoose中关联查询populate的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MongoDB中没有join的特性,因此无法使用join进行表的连接和关联查询,在Mongoose中封装了populate方法,在定义一个 Schema 的时候可以指定了其中的字段(属性)是另一个Schema的引用,在查询文档时就可以使用 populate 方法通过引用 Schema 和 id 找到关联的另一个文档或文档的指定字段值.下面是一个简单的栗子: [场景]: 通过学生ID找到学生所在的班级,对应集合: 学生students. 班级clazzs 1 var mongoose = requ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLwXwA4.html" rel="bookmark">oracle中关联查询、分组查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				高级查询 1.关联查询作用:可以跨越多表查询 --查询出员工的名字和他所在部门的的名字//古老的写法select first_name,name from s_emp,s_dept where s_emp.dept_id = s_dept.id;//现在的写法select e.first_name,s.name from s_emp e join s_dept s on e.dept_id = s.id;语法:select 列,列,列 from 表1 join 表2on 表1外键=表2主键 案例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41XnKo3.html" rel="bookmark">MongoDB 集合间关联查询后通过&dollar;filter进行筛选</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面的分享中,有讲解 &quot;详解MongoDB中的多表关联查询($lookup)&quot; 一节,其内容涵盖了常见的集合管理的需求.我们知道文档的选择都是通过$match进行匹配刷选.但这是文档间的匹配筛选,并没有对单个新生成的文档进行内嵌子文档进行筛选. 那么什么是$lookup后新文档的内嵌子文档呢? 假设有以下2个集合,一个是商品库存集合 inventory,存储的测试数据 如下: db.inventory.insert([ { &quot;_id&quot; : 1, &quot;sku			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/kMLmxy0.html" rel="bookmark">mybatis中的关联查询</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1&gt;在实体映射层中引入关联对象 package com.jinglin.hotelsup.model; import java.io.Serializable; public class Goodsinfo implements Serializable{ private Integer goodsid; private Integer companyid; private Integer goodstypeid; private Integer unitid; private String c			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r4Jd9V0.html" rel="bookmark" class="title">Status Code详解</a>
					<div>
						1xx:信息响应类,表示接收到请求并且继续处理 2xx:处理成功响应类,表示动作被成功接收.理解和接受 3xx:重定向响应类,为了完成指定的动作,必须接受进一步处理 4xx:客户端错误,客户请求包含语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V0bLWm4.html" rel="bookmark" class="title">Quartus prime 16&period;0 in&lowbar;system memory content editor 使用</a>
					<div>
						前言 quartus提供了片内存储器的实时查看与修改,而不用编译工程,很棒.你可以方便的查看到存储器中到底存储了什么东西. 流程 1.打开: 2.主界面: 3.设置jtag项之后,查看即可. sign ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/x0dOjwM.html" rel="bookmark" class="title">premiere安装失败解决办法</a>
					<div>
						解决办法 如果您是64位的系统,需要进入到&quot;C:\Program Files (x86)\Common Files\Adobe&quot; ,如果您使用32位系统,那应该是&quot;C:\ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mywkap3.html" rel="bookmark" class="title">eclipse（二）&mdash;&mdash;常用操作</a>
					<div>
						1.修改类名: 方法1: 选中类名,选择refactor菜单,rename选项,输入新类名,回车,文件名和类名会自动改方法2: 选中文件名,按F2,输入新文件名,类名自动相应改成新的类名					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a7enk4.html" rel="bookmark" class="title">JavaSE8基础 HashMap&amp;lt&semi;Integer&comma;String&amp;gt&semi; keySet values 获取所有键 所有值的集合</a>
					<div>
						os :windows7 x64    jdk:jdk-8u131-windows-x64    ide:Eclipse Oxygen Release (4.7.0) code: package ji ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXdEpGM.html" rel="bookmark" class="title">redis常见性能问题和解决方案&quest;</a>
					<div>
						Master写内存快照,save命令调度rdbSave函数,会阻塞主线程的工作,当快照比较大时对性能影响是非常大的,会间断性暂停服务,所以Master最好不要写内存快照. Master AOF持久化, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVYYpQ4.html" rel="bookmark" class="title">【转】深入浅出Android Support Annotation</a>
					<div>
						[转自]http://jcodecraeer.com/a/anzhuokaifa/androidkaifa/2015/0427/2797.html 英文链接:http://anupcowkur.com ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz55xJ4.html" rel="bookmark" class="title">软件测试&mdash;&mdash;Android应用开发之Toast</a>
					<div>
						一.Android中的Toast 一种简易的消息提示框. 当视图显示给用户,在应用程序中显示为浮动. 和Dialog不一样的是,它永远不会获得焦点,无法被点击. 用户将可能是在中间键入别的东西. To ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xRXan4.html" rel="bookmark" class="title">Python学习笔记（0）</a>
					<div>
						Python 是什么类型的语言 Python是脚本语言 Python下载地址:https://www.python.org/downloads/ Python版本:Python 3.4.2 - 64b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35len20.html" rel="bookmark" class="title">【转】Windows 64bit下Python环境配置与集成IDE PyCharm</a>
					<div>
						本篇博客主要讲述Windows下Python环境的搭建(十分感谢原作者!!) 1. Python基本环境安装: 在网站Python官网 中下载Windows版本的Python安装包,双击下载下来的安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M62LK5M.html" rel="bookmark" class="title">使用vagrant作为开发环境后，js报错</a>
					<div>
						当你尝试修改一个js,并且用同样的方法更新之后,会遇到类似的问题,是的,就算重启VM上任何服务,甚至重启VM,依旧没有用,当然,比起其他资源文件,浏览器的反应会强烈一些,因为浏览器会提示未知错误,而你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5kvZ0.html" rel="bookmark" class="title">why do we need&comma; what advantages to use mongoose</a>
					<div>
						question: I have just started up with mongodb and i recently gone through Mongoose, an ODM framework ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5N5gM.html" rel="bookmark" class="title">在图层上使用CATransform3D制做三维动画-b</a>
					<div>
						在UIView上,我们可以使用CGAffineTransform来对视图进行:平移(translation),旋转(Rotation),缩 放(scale),倾斜(Invert)操作,但这些操作是没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47mLLk0.html" rel="bookmark" class="title">一次java性能调优总结</a>
					<div>
						我们的系统中新开发了一个数据抽取的功能,东西做完后,一看执行时间那叫一个恼火.参考同类系统同样功能的执行时间,目标:将本地数据处理时间压缩到5秒以内.   第一步: 要想知道哪个地方需要优化,仅凭感觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzAzqO4.html" rel="bookmark" class="title">TinyOS系列&mdash;&mdash;服务器远程指令多跳实现过程中问题及解决方案</a>
					<div>
						开发经验: 1.嵌入式程序,调试可能比较麻烦,一定要有耐心,戒骄戒躁 2.开发之前一定要理清自己的逻辑框架,不然只能越写越乱 3.代码开发与测试迭代进行,一步一步,如果代码量过大,很难跟踪找到问题出错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWDagG0.html" rel="bookmark" class="title">Windows 2008下部署Exchange Server 2007</a>
					<div>
						对于很多政府及企业来说,微软的邮件服务器Exchange Server都是一个不错的通信和协作平台选择,尤其新版邮件服务器Exchange Server 2007 和OCS的组合,在微软UC平台上创下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49LylD3.html" rel="bookmark" class="title">CSS 关于文本 背景 边框整理</a>
					<div>
						文本与字体 1)阴影:text-shadow 格式:text-shadow:5px 5px 3px #FFFFFF分别对应 水平方向 垂直方向 模糊程度 颜色值 代码: 1 &lt;!DOCTYPE  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02yWgzM.html" rel="bookmark" class="title">廖埔绽盒家扑斡岛硕阎芳韧萌阎痘</a>
					<div>
						http://i2.feixin.10086.cn/pages/89662/1342740001?retcode=0 http://i2.feixin.10086.cn/pages/106544/13 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41e5zJ4.html" rel="bookmark" class="title">tz2txt的安装与使用（图文版）</a>
					<div>
						本文目录: 一.安装Python运行环境 二.使用tz2txt 三.显示彩色信息 一.安装Python运行环境 tz2txt采用Python编写,必须安装Python运行环境(版本在3.4以上). 可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME1WwQM.html" rel="bookmark" class="title">POJ 1655：Balancing Act</a>
					<div>
						Balancing Act Time Limit: 1000MS   Memory Limit: 65536K Total Submissions: 10311   Accepted: 4261 De ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
